summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Kenneth Chan <kenneth.t.chan@gmail.com>2019-03-29 21:00:01 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-03-29 21:00:01 +0700
commit5d75e4d96e8cd87ef9341e14a368711ca8ca93b3 (patch)
tree788e4516a0c0247ee75ce3754082e188c5b4073a /network
parentdf57cff0dd61b3eb570c1a89728f247f75d72143 (diff)
downloadslackbuilds-5d75e4d96e8cd87ef9341e14a368711ca8ca93b3.tar.gz
slackbuilds-5d75e4d96e8cd87ef9341e14a368711ca8ca93b3.tar.xz
network/inadyn: Added (A Small and Simple DDNS Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/inadyn/README5
-rw-r--r--network/inadyn/doinst.sh27
-rw-r--r--network/inadyn/inadyn.SlackBuild106
-rw-r--r--network/inadyn/inadyn.info10
-rw-r--r--network/inadyn/rc.inadyn49
-rw-r--r--network/inadyn/slack-desc19
6 files changed, 216 insertions, 0 deletions
diff --git a/network/inadyn/README b/network/inadyn/README
new file mode 100644
index 0000000000..784a241d57
--- /dev/null
+++ b/network/inadyn/README
@@ -0,0 +1,5 @@
+In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS support.
+It is commonly available in many GNU/Linux distributions, used in off-the-shelf
+routers and Internet gateways to automate the task of keeping your DNS record
+up to date with any IP address changes from your ISP. It can also be used in
+installations with redundant (backup) connections to the Internet.
diff --git a/network/inadyn/doinst.sh b/network/inadyn/doinst.sh
new file mode 100644
index 0000000000..93170dac0d
--- /dev/null
+++ b/network/inadyn/doinst.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.inadyn.new
+
diff --git a/network/inadyn/inadyn.SlackBuild b/network/inadyn/inadyn.SlackBuild
new file mode 100644
index 0000000000..4f8f57afb5
--- /dev/null
+++ b/network/inadyn/inadyn.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for inadyn
+
+# Copyright 2019 Kenneth Chan Hong Kong
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=inadyn
+VERSION=${VERSION:-2.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvJf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CONTRIBUTING.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.inadyn > $PKG/etc/rc.d/rc.inadyn.new
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/inadyn/inadyn.info b/network/inadyn/inadyn.info
new file mode 100644
index 0000000000..91ad52fd8e
--- /dev/null
+++ b/network/inadyn/inadyn.info
@@ -0,0 +1,10 @@
+PRGNAM="inadyn"
+VERSION="2.3.1"
+HOMEPAGE="http://troglobit.com/projects/inadyn"
+DOWNLOAD="ftp://ftp.troglobit.com/inadyn/inadyn-2.3.1.tar.xz"
+MD5SUM="6a36f62bba5c9774bff25bf2be871bbb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kenneth Chan"
+EMAIL="kenneth.t.chan@gmail.com"
+REQUIRES="confuse"
diff --git a/network/inadyn/rc.inadyn b/network/inadyn/rc.inadyn
new file mode 100644
index 0000000000..381ac1b904
--- /dev/null
+++ b/network/inadyn/rc.inadyn
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# rc.inadyn This shell script takes care of starting and stopping
+# inadyn.
+#
+# inadyn provides support for updating dynamic DNS services.
+
+if [ ! -f /etc/inadyn.conf ]; then
+ echo "Missing .conf file"
+ echo "Exiting..."
+ exit 1
+fi
+
+PIDFILE=/var/run/inadyn.pid
+
+case "$1" in
+ start)
+ echo -n "Starting inadyn: /usr/sbin/inadyn"
+ /usr/sbin/inadyn
+ echo
+ ;;
+ stop)
+ echo -n "Stopping inadyn... "
+ kill $( ps ax | grep inadyn | grep Ss | awk '{print $1}' )
+ #kill -9 $( cat $PIDFILE 2> /dev/null )
+ echo
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ status)
+ pids=$( ps ax | grep inadyn | grep Ss | awk '{print $1}' )
+ if test "$pids"
+ then
+ for p in $pids
+ do
+ echo "inadyn (pid $p) is running."
+ done
+ else
+ echo "inadyn is not running."
+ fi
+ ;;
+ *)
+ echo "Usage: inadyn {start|stop|restart|status}"
+ exit 1
+esac
+
+exit 0
diff --git a/network/inadyn/slack-desc b/network/inadyn/slack-desc
new file mode 100644
index 0000000000..b504c62aa2
--- /dev/null
+++ b/network/inadyn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+inadyn: inadyn (A Small and Simple DDNS Client)
+inadyn:
+inadyn: In-a-dyn is a small and simple Dynamic DNS, DDNS, client with HTTPS
+inadyn: support. It is commonly available in many GNU/Linux distributions,
+inadyn: used in off-the-shelf routers and Internet gateways to automate the
+inadyn: task of keeping your DNS record up to date with any IP address
+inadyn: changes from your ISP. It can also be used in installations with
+inadyn: redundant (backup) connections to the Internet.
+inadyn:
+inadyn: Homepage: http://troglobit.com/projects/inadyn
+inadyn: